| Home | Libraries | People | FAQ | More

#### buffer (18 of 22 overloads)

Create a new modifiable buffer that represents the given POD vector.

    template<
        typename PodType,
        typename Allocator>
    mutable_buffers_1 buffer(
        std::vector< PodType, Allocator > & data,
        std::size_t max_size_in_bytes);

###### Return Value

A `mutable_buffers_1` value equivalent to:

    mutable_buffers_1(
        data.size() ? &data[0] : 0,
        min(data.size() * sizeof(PodType), max_size_in_bytes));

###### Remarks

The buffer is invalidated by any vector operation that would also invalidate iterators.